Уязвимость BDU:2022-02463

Дата: 25.07.2016. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-02463.

Наименование уязвимости: Уязвимость функции php_stream_zip_opener интерпретатора языка программирования PHP , вызванная переполнением буфера, позволяющая нарушителю вызвать отказ в обслуживании или, возможно, оказать другое воздействие.

Описание уязвимости: Уязвимость функции php_stream_zip_opener интерпретатора языка программирования PHP вызвана переполнением буфера. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании или, возможно, оказать другое воздействие
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 12.04 | Прикладное ПО информационных систем PHP Group PHP от 5.5.0 до 5.5.24 | Операционная система Debian GNU/Linux 9 | Операционная система Canonical Ltd. Ubuntu 14.04 ESM | Операционная система Debian GNU/Linux 8 | Операционная система Debian GNU/Linux 7 | Операционная система Canonical Ltd. Ubuntu 16.04 ESM | Прикладное ПО информационных систем PHP Group PHP до 5.5.38 | Прикладное ПО информационных систем PHP Group PHP от 7.0 до 7.0.9 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1204 32-bit | Debian GNU/Linux 9 | Ubuntu 1404 ESM | Debian GNU/Linux 8 | Debian GNU/Linux 7 | Ubuntu 1604 ESM |
Дата выявления: 25.07.2016.
CVSS 2.0: AV:N/AC:M/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 9,3)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,8)

Возможные меры по устранению:
Использование рекомендаций:
https://www.php.net/ChangeLog-5.php
https://www.php.net/ChangeLog-7.php

Для Ubuntu
https://ubuntu.com/security/CVE-2016-6297

Для Debian GNU/Linux:
https://security-tracker.debian.org/tracker/CVE-2016-6297.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2016-6297.

Тип ошибки CWE: CWE-119
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
http://openwall.com/lists/oss-security/2016/07/24/2
http://php.net/ChangeLog-7.php
http://php.net/ChangeLog-5.php
http://git.php.net/?p=php-src.git;a=commit;h=81406c0c1d45f75fcc7972ed974d2597abb0b9e9
https://bugs.php.net/72520
http://fortiguard.com/advisory/fortinet-discovers-php-stack-based-buffer-overflow-vulnerabilities
http://www.securityfocus.com/bid/92099
https://support.apple.com/HT207170
http://lists.apple.com/archives/security-announce/2016/Sep/msg00006.html
https://security.gentoo.org/glsa/201611-22
http://www.securitytracker.com/id/1036430
http://www.debian.org/security/2016/dsa-3631
http://rhn.redhat.com/errata/RHSA-2016-2750.html

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.